> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingcompleteeventhandler.md).

# BindingCompleteEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the delegate that handles the [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void BindingCompleteEventHandler(Object sender, BindingCompleteEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub BindingCompleteEventHandler(ByVal sender As [Object], ByVal e As BindingCompleteEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                          | Description                                                                                                                   |
| ---------- | --------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                 | The source of the event.                                                                                                      |
| **e**      | [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) | A [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                              | Description                                                                                                                                                |
| ----------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Binding.BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete)                       | Fired when the [FormattingEnabled](/api/wisej.web/data-binding/wisej.web.binding.md#formattingenabled) property true and a binding operation is completed. |
| [BindingManagerBase.BindingComplete](/api/wisej.web/data-binding/wisej.web.bindingmanagerbase.md#bindingcomplete) | Fired at the completion of a data-binding operation.                                                                                                       |
| [BindingSource.BindingComplete](/api/wisej.web/data-binding/wisej.web.bindingsource.md#bindingcomplete)           | Fired when all the clients have been bound to this [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md).                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingcompleteeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
